.aup files open in Firefox instead of Audacity

Bug #1006610 reported by Lexen on 2012-05-30
30
This bug affects 5 people
Affects Status Importance Assigned to Milestone
audacity (Ubuntu)
High
Benjamin Drung
Precise
High
Unassigned
desktop-file-utils (Ubuntu)
Low
Unassigned
Precise
Low
Unassigned

Bug Description

Impact:

When I double click a .aup file it will by default open in Firefox. I can manually right click it and go to "open with", but it should be opening in Audacity.

Also, when one right clicks the file, then Properties -> Open With, Audacity is not listed as an option.

Part 1: Audacity cannot be configured as default application for .aup files (via Properties -> Open With in Nautilus)
Part 2: Audacity is not the default application for .aup files

[TESTCASE for part 1]
1) Open Nautilus
2) Right click on an .aup file, then Properties -> Open With
3) Select Audacity as default

[TESTCASE for part 2]
1) Open Nautilus
2) Right click on an .aup file, then Properties -> Open With -> Reset
3) Audacity should be the default

Regression potential:
the audacity files could keep opening with the wrong handler

Benjamin Drung (bdrung) on 2012-05-31
Changed in audacity (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
kroq-gar78 (kroq-gar78) on 2012-06-01
Changed in audacity (Ubuntu):
assignee: nobody → kroq-gar78 (kroq-gar78)
kroq-gar78 (kroq-gar78) on 2012-06-01
summary: - .aup files automaticly open in Firefox on Ubuntu 12.04
+ .aup files open in Firefox instead of Audacity
kroq-gar78 (kroq-gar78) on 2012-06-01
description: updated
Benjamin Drung (bdrung) on 2012-06-07
Changed in audacity (Ubuntu):
importance: Medium → High
Benjamin Drung (bdrung) on 2012-06-24
Changed in audacity (Ubuntu):
assignee: kroq-gar78 (kroq-gar78) → Benjamin Drung (bdrung)
Benjamin Drung (bdrung) on 2012-06-24
Changed in audacity (Ubuntu Precise):
importance: Undecided → High
Benjamin Drung (bdrung) wrote :

You describe two issues:
1) Audacity cannot be configured as default application for .aup files (via Properties -> Open With in Nautilus)
2) Audacity is not the default application for .aup files

Point one can be fixed in audacity by fixing the desktop file. This bug will be fixed in the coming days when my next upload 2.0.1~rc1-2 of Audacity to Debian unstable is synced to quantal. I uploaded the same fix to precise-proposed (patch attached).

Point two can be fixed by adding 'application/x-audacity-project=audacity.desktop' to /usr/share/applications/defaults.list which needs to be done in desktop-file-utils.

Changed in audacity (Ubuntu Precise):
status: New → Fix Committed
description: updated
Changed in audacity (Ubuntu):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package audacity - 2.0.1~rc1-2

---------------
audacity (2.0.1~rc1-2) unstable; urgency=low

  * Allow opening files with Audacity with your file manager. (LP: #1006610)

 -- Benjamin Drung <email address hidden> Mon, 25 Jun 2012 02:06:15 +0200

Changed in audacity (Ubuntu):
status: Fix Committed → Fix Released
Changed in desktop-file-utils (Ubuntu):
importance: Undecided → Low
status: New → In Progress
Changed in desktop-file-utils (Ubuntu Precise):
status: New → In Progress
importance: Undecided → Low
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package desktop-file-utils - 0.20-0ubuntu4

---------------
desktop-file-utils (0.20-0ubuntu4) quantal; urgency=low

  * debian/defaults.list:
    - set the audacity default handler, thanks Benjamin Drung (lp: #1006610)
    - set the odb files to open with libreoffice-base by default
      (lp: #1016581)
 -- Sebastien Bacher <email address hidden> Mon, 25 Jun 2012 16:59:21 +0200

Changed in desktop-file-utils (Ubuntu):
status: In Progress → Fix Released
description: updated
Changed in desktop-file-utils (Ubuntu Precise):
status: In Progress → Fix Committed

Hello Lexen, or anyone else affected,

Accepted desktop-file-utils into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/desktop-file-utils/0.20-0ubuntu3 in a few hours and then in the -proposed repository. Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case details of your testing will help us make a better decision. Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
Scott Kitterman (kitterman) wrote :

Hello Lexen, or anyone else affected,

Accepted audacity into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/audacity/2.0.0-1ubuntu0.1 in a few hours and then in the -proposed repository. Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case details of your testing will help us make a better decision. Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Benjamin Drung (bdrung) wrote :

I installed desktop-file-utils 0.20-0ubuntu3 and audacity 2.0.0-1ubuntu0.1 from precise-proposed and then double clicking an .aup file opens Audacity.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package desktop-file-utils - 0.20-0ubuntu3

---------------
desktop-file-utils (0.20-0ubuntu3) precise-proposed; urgency=low

  * debian/defaults.list:
    - set the audacity default handler, thanks Benjamin Drung (lp: #1006610)
    - set the odb files to open with libreoffice-base by default
      (lp: #1016581)
 -- Sebastien Bacher <email address hidden> Mon, 25 Jun 2012 16:59:21 +0200

Changed in desktop-file-utils (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package audacity - 2.0.0-1ubuntu0.1

---------------
audacity (2.0.0-1ubuntu0.1) precise-proposed; urgency=low

  * Allow opening files with Audacity with your file manager (LP: #1006610).
 -- Benjamin Drung <email address hidden> Mon, 25 Jun 2012 01:46:05 +0200

Changed in audacity (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers